{{- range $key, $serviceMonitor := dict "keycloakx" .Values.serviceMonitor "extra" .Values.extraServiceMonitor }}
{{- with $serviceMonitor }}
{{- if .enabled }}
---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ include "ps-security.fullname" $ }}-{{ $key }}
  {{- with .namespace }}
  namespace: {{ . }}
  {{- else }}
  namespace: {{ $.Release.Namespace }}
  {{- end }}
  {{- with .annotations }}
  annotations:
    {{- range $key, $value := . }}
    {{- printf "%s: %s" $key (tpl $value $ | quote) | nindent 4 }}
    {{- end }}
  {{- end }}
  labels:
  {{- include "ps-security.labels" $ | nindent 4 }}
  {{- range $key, $value := .labels }}
  {{- printf "%s: %s" $key (tpl $value $ | quote) | nindent 4 }}
  {{- end }}
spec:
  {{- with .namespaceSelector }}
  namespaceSelector:
  {{- toYaml . | nindent 4 }}
  {{- end }}
  selector:
    matchLabels:
      {{- include "ps-security.selectorLabels" $ | nindent 6 }}
      app.kubernetes.io/component: http
  endpoints:
    - port: {{ .port }}
      path: {{ tpl .path $ | quote }}
      interval: {{ .interval }}
      scrapeTimeout: {{ .scrapeTimeout }}
{{- end }}
{{- end }}
{{- end }}
